"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
const getSize = require("../../core/utils/get-size/get-size.cjs");
const createVarsResolver = require("../../core/styles-api/create-vars-resolver/create-vars-resolver.cjs");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const useStyles = require("../../core/styles-api/use-styles/use-styles.cjs");
const Box = require("../../core/Box/Box.cjs");
const factory = require("../../core/factory/factory.cjs");
const Kbd_module_css = require("./Kbd.module.css.cjs");
const defaultProps = {};
const varsResolver = createVarsResolver.createVarsResolver((_, { size }) => ({
  root: {
    "--kbd-fz": getSize.getSize(size, "kbd-fz"),
    "--kbd-padding": getSize.getSize(size, "kbd-padding")
  }
}));
const Kbd = factory.factory((_props, ref) => {
  const props = useProps.useProps("Kbd", defaultProps, _props);
  const { classNames, className, style, styles, unstyled, vars, ...others } = props;
  const getStyles = useStyles.useStyles({
    name: "Kbd",
    classes: Kbd_module_css.default,
    props,
    className,
    style,
    classNames,
    styles,
    unstyled,
    vars,
    varsResolver
  });
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { component: "kbd", ref, ...getStyles("root"), ...others });
});
Kbd.classes = Kbd_module_css.default;
Kbd.displayName = "@mantine/core/Kbd";
exports.Kbd = Kbd;
